Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## netscape.security
Class Privilege

    java.lang.Object
      |
      +--netscape.security.Privilege

public final class Privilege
extends java.lang.Object

Dummy class.

Field Summary
`static int` | `ALLOWED`
`static int` | `BLANK`
`static int` | `FORBIDDEN`
`static int` | `FOREVER`
`static int` | `N_DURATIONS`
`static int` | `N_PERMISSIONS`
`static int` | `SCOPE`
`static int` | `SESSION`

Constructor Summary
`Privilege()`

Method Summary
`static int` | `add(int i, int j)`
`static Privilege` | `add(Privilege p1, Privilege p2)`
`static Privilege` | `findPrivilege(int i, int j)`
`int` | `getDuration()`
`int` | `getPermission()`
`boolean` | `isAllowed()`
`boolean` | `isBlank()`
`boolean` | `isForbidden()`
`boolean` | `sameDuration(int i)`
`boolean` | `sameDuration(Privilege p)`
`boolean` | `samePermission(int i)`
`boolean` | `samePermission(Privilege p)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### N_PERMISSIONS

    public static final int N_PERMISSIONS

### FORBIDDEN

    public static final int FORBIDDEN

### ALLOWED

    public static final int ALLOWED

### BLANK

    public static final int BLANK

### N_DURATIONS

    public static final int N_DURATIONS

### SCOPE

    public static final int SCOPE

### SESSION

    public static final int SESSION

### FOREVER

    public static final int FOREVER

Constructor Detail

### Privilege

    public Privilege()

Method Detail

### findPrivilege

    public static Privilege findPrivilege(int i,
                                          int j)

### add

    public static int add(int i,
                          int j)

### add

    public static Privilege add(Privilege p1,
                                Privilege p2)

### samePermission

    public boolean samePermission(Privilege p)

### samePermission

    public boolean samePermission(int i)

### sameDuration

    public boolean sameDuration(Privilege p)

### sameDuration

    public boolean sameDuration(int i)

### isAllowed

    public boolean isAllowed()

### isForbidden

    public boolean isForbidden()

### isBlank

    public boolean isBlank()

### getPermission

    public int getPermission()

### getDuration

    public int getDuration()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.